OGRE: Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

Structure defining an auto constant that's available for use in a parameters object. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| AutoConstantDefinition (AutoConstantType _acType, const String &_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)

## Public Attributes

AutoConstantType | acType
String | name
size_t | elementCount
ElementType | elementType
| The type of the constant in the program.
ACDataType | dataType
| The type of any extra data.

## Detailed Description

Structure defining an auto constant that's available for use in a parameters object.

Definition at line 634 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition | ( | AutoConstantType | _acType,
|  | const String & | _name,
|  | size_t | _elementCount,
|  | ElementType | _elementType,
|  | ACDataType | _dataType
| ) |

| Definition at line 644 of file OgreGpuProgram.h.

## Member Data Documentation

AutoConstantType Ogre::GpuProgramParameters::AutoConstantDefinition::acType

| Definition at line 636 of file OgreGpuProgram.h.

ACDataType Ogre::GpuProgramParameters::AutoConstantDefinition::dataType

| The type of any extra data. Definition at line 642 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount

| Definition at line 638 of file OgreGpuProgram.h.

ElementType Ogre::GpuProgramParameters::AutoConstantDefinition::elementType

| The type of the constant in the program. Definition at line 640 of file OgreGpuProgram.h.

String Ogre::GpuProgramParameters::AutoConstantDefinition::name

| Definition at line 637 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:48 2008